#proto script
#name: Open in imdb.com
#extensions: .

from System.Diagnostics import Process
from System.IO import Path
from System.IO import File
from System.IO import Directory
from System import Uri

def name():
	return "Open in imdb.com"

def extensions():
	return "."  # . is for directories; separate file extensions with '/', example: gif/jpg/bmp/png

def action(paths):
	
	server = 'http://www.imdb.com/find?s=all&x=0&y=0&q='
	
	for path in paths:
		
		if File.Exists(path):
			search = Path.GetFileNameWithoutExtension(path)
			
		elif Directory.Exists(path):
			search = Path.GetFileName(path.Remove(path.Length - 1))
			
		else:
			continue
			
		search = search.Replace('.', ' ');
		uri = server + Uri.EscapeUriString(search)
		Process.Start(uri)
		
	
	return "Opened imdb.com"
