#proto script
#name: Remove VS Grabage
#extensions: .

from System.IO import *
from System import *

def action(paths):
	
	for path in paths:
		
		if File.Exists(path):
		
			if removeFile(path):
				File.Delete(path)
			
		elif Directory.Exists(path):
			dir = path.Remove(path.Length - 1)
			
			if removeDir(dir):
				Directory.Delete(dir, True)
			
			else:
							
				for dir2 in Directory.GetDirectories(dir, '*', SearchOption.AllDirectories):
			
					if removeDir(dir2):
						Directory.Delete(dir2, True)
						
				for file in Directory.GetFiles(dir, '*', SearchOption.AllDirectories):
			
					if removeFile(file):
						File.Delete(file)
	
	return 'Removed VS Grabage'

def removeDir(path):
	
	removeDirs = 'obj/bin'.Split('/')
	name = Path.GetFileName(path).ToLower()
	
	return Array.IndexOf(removeDirs, name) != -1
	
def removeFile(path):
	
	removeExts = 'suo/user/cachefile'.Split('/')
	ext = Path.GetExtension(path).ToLower()
	
	if ext.Length > 1:
		ext = ext.Remove(0, 1) # remove . from extension
	
	return Array.IndexOf(removeExts, ext) != -1
